## sagetex 3.0%2Bds

=== debian/changelog ===
sagetex (3.0+ds-6) unstable; urgency=medium

  * RC fix release (Closes: #891230), non-reproducible build.
  * Debianization:
    - debian/rules:
      - pkg-info.mk , now included;
      - environment variable FORCE_SOURCE_DATE set to 1 (see d/rules for
        the rational).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 23 Feb 2018 16:27:08 +0000

sagetex (3.0+ds-5) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuple, refresh;
    - debian/control:
      - debhelper, bump to 11 (adapt);
      - Standards Version, bump to 4.1.3 (no change);
      - Vcs-* fields, migration to salsa.debian.org ;
      - Priority field, from extra to optional;
    - debian/rules:
      - debhelper, bump to 11;
      - override_dh_auto_test target, filter nocheck;
      - get-orig-source target, compression option, move to d/watch ;
    - debian/watch:
      - options, compression, add;
    - debian/tests/*, introduce;
    - debian/adhoc/examples/Makefile, refresh and harden;
    - debian/README.Debian, spelling, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 20:11:37 +0000

sagetex (3.0+ds-4) unstable; urgency=medium

  * FTBFS fix release (Closes: #850929), DOT_SAGE is now specified (and placed
    outside HOME to please sbuild).
  * Debianization:
    - debian/rules, furnish DOT_SAGE (see above).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 11 Jan 2017 12:23:29 +0000

sagetex (3.0+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - [Build-]Depends fields, uncomment sagemath dependency;
    - debian/patches/*:
      - d/p/debianization-experimental-neutralize.patch, discard;
      - d/p/upstream-update-documentation-URL_s.patch, import;
      - d/p/upstream-*.patch, introduce and submit;
      - d/p/debianization.patch, introduce;
      - d/p/debianization-examples.patch, uncomment TikZ material;
    - debian/rules, revisit (full docstrip machinery);
    - debian/README.Debian, introduce;
    - general enhancement.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 30 Dec 2016 15:11:18 +0000

sagetex (3.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 19 Dec 2016 00:13:02 +0000

sagetex (3.0+ds-1) experimental; urgency=medium

  * Initial release (Closes: #833822).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 14 Aug 2016 13:32:28 +0000

## sagetex 3.0+ds

=== Makefile ===
pkg=sagetex
dtxs=$(wildcard *.dtx)
# the subdir stuff makes the tarball have the directory correct
srcs=example.tex README sagetex.ins

.SUFFIXES:

all: sagetex.sty sagetex.py example.pdf $(pkg).pdf

# just depend on the .ind file, since we'll make the .gls and .ind together;
# TEXOPTS is used by spkg-install to specify nonstopmode when building docs
$(pkg).pdf: $(dtxs) $(pkg).ind
	latex $(TEXOPTS) $(pkg).dtx
	sage $(pkg).sagetex.sage
	latex $(TEXOPTS) $(pkg).dtx
	sage $(pkg).sagetex.sage
	latex $(TEXOPTS) $(pkg).dtx
	pdflatex $(TEXOPTS) $(pkg).dtx

example.pdf: example.tex sagetex.sty sagetex.py
	pdflatex $(TEXOPTS) example.tex
	sage example.sagetex.sage
	pdflatex $(TEXOPTS) example.tex
	pdflatex $(TEXOPTS) example.tex

%.ind: $(dtxs)
	latex $(TEXOPTS) $(pkg).dtx
	sed -e 's/usage|hyperpage/usagehyperpage/g' -i sagetex.idx
	makeindex -s gglo.ist -o $(pkg).gls $(pkg).glo
	makeindex -s gind.ist -o $(pkg).ind $(pkg).idx

sagetex.sty: py-and-sty.dtx $(pkg).dtx
	yes | latex $(TEXOPTS) $(pkg).ins

sagetex.py: py-and-sty.dtx $(pkg).dtx
	yes | latex $(TEXOPTS) $(pkg).ins

remote-sagetex.py: remote-sagetex.dtx
	yes | latex $(TEXOPTS) $(pkg).ins

run-sagetex-if-necessary.py makestatic.py extractsagecode.py sagetexparse.py: scripts.dtx
	yes | latex $(TEXOPTS) $(pkg).ins

clean: auxclean
	rm -fr sage-plots-for-* E2.sobj *.pyc sagetex.tar.gz sagetex.py sagetex.pyc sagetex.sty makestatic.py sagetexparse.py extractsagecode.py dist MANIFEST remote-sagetex.py auto *_doctest.sage *_doctest.sage.py example-*.table run-sagetex-if-necessary.py

auxclean:
	/bin/bash -c "rm -f {$(pkg),example}.{glo,gls,aux,out,toc,dvi,pdf,ps,log,ilg,ind,idx,fdb_latexmk,sagetex.*}"
	rm -f *_doctest.sage

# otherwise, make gets confused since there's a file named "test"
.PHONY: test clean auxclean all dist
test:
	./test

# make a source distribution, used for building the spkg
dist: sagetex.sty
	python setup.py sdist --formats=tar

=== debian/control ===
Source: sagetex
Section: tex
Priority: extra
Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9),
 dh-python, python,
 tex-common,
 texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra, texlive-pictures,
 sagemath, python-pyparsing
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://github.com/dandrake/sagetex
Vcs-Git: https://anonscm.debian.org/git/debian-tex/sagetex.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/sagetex.git

Package: sagetex
Architecture: all
Depends:
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 texlive-pictures, texlive-font-utils,
 imagemagick,
 python-sagetex (= ${source:Version}),
 ${misc:Depends}
Suggests: sagetex-doc (= ${source:Version})
Description: Embed Sage code and plots into LaTeX
 The SageTeX LaTeX package allows you to embed code, results of computations,
 and plots from the SageMath mathematics software suite into LaTeX documents.
 SageMath is an open-source Computer Algebra System (CAS).
 .
 This package provides the LaTeX package.

Package: python-sagetex
Section: python
Architecture: all
Depends: sagemath, ${python:Depends}, ${misc:Depends}
Recommends: sagetex (= ${source:Version})
Suggests: sagetex-doc (= ${source:Version})
Description: Embed Sage code and plots into LaTeX -- Python
 The SageTeX LaTeX package allows you to embed code, results of computations,
 and plots from the SageMath mathematics software suite into LaTeX documents.
 SageMath is an open-source Computer Algebra System (CAS).
 .
 This package provides the Python material that interact with SageMath.

Package: sagetex-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Enhances: sagetex (= ${source:Version})
Description: Embed Sage code and plots into LaTeX -- doc
 The SageTeX LaTeX package allows you to embed code, results of computations,
 and plots from the SageMath mathematics software suite into LaTeX documents.
 SageMath is an open-source Computer Algebra System (CAS).
 .
 This package provides the documentation and sample material.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_VERSION ?= $(shell python -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")

UPS_DOCSTRIP_INS ?= sagetex.ins
DEB_DTX_DOCSTRIP_CFG_IN ?= debian/docstrip.cfg.in

DEB_TDS_BASEDIRECTORY        := $(shell sed -n 's|^\\BaseDirectory{./\(.*\)}|\1|p' $(DEB_DTX_DOCSTRIP_CFG_IN))
DEB_DTX_LISTOF_DECLAREDIR_IN := $(shell sed -n 's|^\\DeclareDir\*{[A-Z]*DIR}{./\(.*\)}|\1|p' $(DEB_DTX_DOCSTRIP_CFG_IN))
DEB_DTX_LISTOF_TDS_USEDIR    := $(shell sed -n 's|^\\usedir{\([a-z]*\)/\(.*\)}|\1/\2|p' $(UPS_DOCSTRIP_INS))

DEB_DTX_DOCSTRIP_CFG = _build/$(patsubst %.in,%,$(notdir $(DEB_DTX_DOCSTRIP_CFG_IN)))
DEB_DTX_LISTOF_DECLAREDIR = $(subst @PYTHON@,python$(DEB_PYTHON_VERSION),$(DEB_DTX_LISTOF_DECLAREDIR_IN))
DEB_DTX_LISTOF_TDS_USEDIR_TEX = $(strip $(filter tex/%,$(DEB_DTX_LISTOF_TDS_USEDIR)))
DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS = $(strip $(filter scripts/%,$(DEB_DTX_LISTOF_TDS_USEDIR)))

DEB_TEX_OPTS = -interaction batchmode

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with tex --with python2

override_dh_auto_build:
	$(MKDIR_P) $(dir $(DEB_DTX_DOCSTRIP_CFG))
	$(MKDIR_P) $(DEB_TDS_BASEDIRECTORY)
	$(MKDIR_P) $(DEB_DTX_LISTOF_DECLAREDIR)
	$(MKDIR_P) $(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR))
	sed -e 's|@PYTHON@|python'$(DEB_PYTHON_VERSION)'|g' $(DEB_DTX_DOCSTRIP_CFG_IN) > $(DEB_DTX_DOCSTRIP_CFG)
	echo "\PassOptionsToClass{a4paper}{article}" > $(dir $(DEB_DTX_DOCSTRIP_CFG))/ltxdoc.cfg
	TEXINPUTS=".:$(dir $(DEB_DTX_DOCSTRIP_CFG)):" $(INITEX) $(DEB_TEX_OPTS) $(UPS_DOCSTRIP_INS)
	$(if $(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS),\
		chmod -vf 0755 $(addsuffix /*.py,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS))),@true)

DEB_DH_AUTO_TEST_DOT_SAGE = _test/DOT_SAGE
DEB_DH_AUTO_TEST_PKG_TEXINPUTS = $(subst $(EMPTY),:,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_TEX)))
DEB_DH_AUTO_TEST_PKG_PYTHONPATH = $(subst $(EMPTY),:,$(DEB_DTX_LISTOF_DECLAREDIR))
DEB_DH_AUTO_TEST_MAKEFLAGS = TEXOPTS="$(DEB_TEX_OPTS)" TEXINPUTS=".:$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(dir $(DEB_DTX_DOCSTRIP_CFG)):"
DEB_DH_AUTO_TEST_MAKEFLAGS += PYTHONPATH=$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
DEB_DH_AUTO_TEST_MAKEFLAGS += VPATH=$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
DEB_DH_AUTO_TEST_MAKEFLAGS += DOT_SAGE=$(DEB_DH_AUTO_TEST_DOT_SAGE)
override_dh_auto_test:
	$(MKDIR_P) $(DEB_DH_AUTO_TEST_DOT_SAGE)
	chmod -vf 0700 $(DEB_DH_AUTO_TEST_DOT_SAGE)
	$(MAKE) sagetex.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)
	$(MAKE) example.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)

override_dh_auto_install:
	@true

override_dh_install:
	dh_install --sourcedir=_build/DEBIAN

override_dh_installdocs:
	dh_installdocs --all debian/README.Debian

override_dh_compress:
	dh_compress -X.pdf -Xexamples

override_dh_auto_clean:
	$(MAKE) clean

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

get-info:
	@echo "DEB_PYTHON_VERSION:         >$(DEB_PYTHON_VERSION)<"
	@echo "DEB_TDS_BASEDIRECTORY:      >$(DEB_TDS_BASEDIRECTORY)<"
	@echo "DEB_DTX_LISTOF_DECLAREDIR:  >$(DEB_DTX_LISTOF_DECLAREDIR)<"
	@echo "DEB_DTX_LISTOF_TDS_USEDIR:  >$(DEB_DTX_LISTOF_TDS_USEDIR)<"
	@echo "DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS: >$(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS)<"


INITEX ?= /usr/bin/tex
MKDIR_P ?= /bin/mkdir -p

EMPTY :=
EMPTY +=

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sagetex-$1\.tar\.gz/ \
https://github.com/dandrake/sagetex/tags .*/v?(\d\S*)\.tar\.gz

## sagetex 3.1+ds

=== Makefile ===
--- 
+++ 
@@ -55,4 +55,4 @@
 
 # make a source distribution, used for building the spkg
 dist: sagetex.sty
-	python setup.py sdist --formats=tar
+	python setup.py sdist --formats=gztar

=== debian/changelog ===
sagetex (3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*:
      - d/p/upstream-*.patch , integrated;
      - d/p/debianization.patch , explicitly use Python 2.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 Jan 2019 14:37:08 +0000

sagetex (3.0+ds-8) unstable; urgency=medium

  * FTBFS release fix:
    - provide MPLCONFIGDIR and MAXIMA_USERDIR besides DOT_SAGE (absolute paths),
      (Closes: #918342);
    - revisit install-docs policy, (Closes: #910415).
  * Debianization:
    - debian/rules:
      - override_dh_auto_test target, provide MPLCONFIGDIR and MAXIMA_USERDIR ;
      - override_dh_installdocs target, discard;
    - debian/sagetex{,-docs).docs, revisit.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Jan 2019 13:20:11 +0000

sagetex (3.0+ds-7) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Copyright year tuples, update;
    - debian/adhoc/examples/Makefile, year tuple, update;
    - debian/control:
      - debhelper, bump to 12 (no change);
      - Standards Version, bump to 4.1.3 (no change);
    - debian/rules:
      - DEB_PYTHON_VERSION variable, explicitly Python version 2;
      - get-orig-source target, discard;
    - debian/tests/*:
      - d/t/compose-examples, now use AUTOPKGTEST_TMP .

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 04 Jan 2019 19:36:23 +0000

## sagetex 3.2%2Bds

=== debian/changelog ===
sagetex (3.2+ds-2) unstable; urgency=medium

  * FTBFS bug fix release, now Depends on python-tk (Closes: #921120).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 02 Feb 2019 15:25:03 +0000

sagetex (3.2+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 10 Jan 2019 15:22:18 +0000

## sagetex 3.2+ds

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: sagetex
 Section: tex
-Priority: extra
+Priority: optional
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  dh-python, python,
+ python-tk,
  tex-common,
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
  sagemath, python-pyparsing
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.7
+Standards-Version: 4.3.0
 Homepage: https://github.com/dandrake/sagetex
-Vcs-Git: https://anonscm.debian.org/git/debian-tex/sagetex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/sagetex.git
+Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
+Vcs-Browser: https://salsa.debian.org/tex-team/sagetex
 
 Package: sagetex
 Architecture: all
@@ -35,7 +35,7 @@
 Package: python-sagetex
 Section: python
 Architecture: all
-Depends: sagemath, ${python:Depends}, ${misc:Depends}
+Depends: sagemath, python-tk, ${python:Depends}, ${misc:Depends}
 Recommends: sagetex (= ${source:Version})
 Suggests: sagetex-doc (= ${source:Version})
 Description: Embed Sage code and plots into LaTeX -- Python

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
+## the time-related TeX primitives are used in example.tex
+## which served as test and whose PDF output is distributed
+## -- see pdftex(1) for details.
+export FORCE_SOURCE_DATE=1
 
-DEB_PYTHON_VERSION ?= $(shell python -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")
+DEB_PYTHON_VERSION ?= $(shell python2 -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")
 
 UPS_DOCSTRIP_INS ?= sagetex.ins
 DEB_DTX_DOCSTRIP_CFG_IN ?= debian/docstrip.cfg.in
@@ -33,18 +38,26 @@
 	$(if $(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS),\
 		chmod -vf 0755 $(addsuffix /*.py,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS))),@true)
 
-DEB_DH_AUTO_TEST_DOT_SAGE = _test/DOT_SAGE
+DEB_DH_AUTO_TEST_MAXIMA_USERDIR = $(CURDIR)/_test/MAXIMA_USERDIR
+DEB_DH_AUTO_TEST_MPLCONFIGDIR = $(CURDIR)/_test/MPLCONFIGDIR
+DEB_DH_AUTO_TEST_DOT_SAGE = $(CURDIR)/_test/DOT_SAGE
 DEB_DH_AUTO_TEST_PKG_TEXINPUTS = $(subst $(EMPTY),:,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_TEX)))
 DEB_DH_AUTO_TEST_PKG_PYTHONPATH = $(subst $(EMPTY),:,$(DEB_DTX_LISTOF_DECLAREDIR))
 DEB_DH_AUTO_TEST_MAKEFLAGS = TEXOPTS="$(DEB_TEX_OPTS)" TEXINPUTS=".:$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(dir $(DEB_DTX_DOCSTRIP_CFG)):"
 DEB_DH_AUTO_TEST_MAKEFLAGS += PYTHONPATH=$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
 DEB_DH_AUTO_TEST_MAKEFLAGS += VPATH=$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
 DEB_DH_AUTO_TEST_MAKEFLAGS += DOT_SAGE=$(DEB_DH_AUTO_TEST_DOT_SAGE)
+DEB_DH_AUTO_TEST_MAKEFLAGS += MPLCONFIGDIR=$(DEB_DH_AUTO_TEST_MPLCONFIGDIR)
+DEB_DH_AUTO_TEST_MAKEFLAGS += MAXIMA_USERDIR=$(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
+	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MPLCONFIGDIR)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_DOT_SAGE)
 	chmod -vf 0700 $(DEB_DH_AUTO_TEST_DOT_SAGE)
 	$(MAKE) sagetex.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)
 	$(MAKE) example.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)
+endif
 
 override_dh_auto_install:
 	@true
@@ -52,17 +65,11 @@
 override_dh_install:
 	dh_install --sourcedir=_build/DEBIAN
 
-override_dh_installdocs:
-	dh_installdocs --all debian/README.Debian
-
 override_dh_compress:
 	dh_compress -X.pdf -Xexamples
 
 override_dh_auto_clean:
 	$(MAKE) clean
-
-get-orig-source:
-	uscan --no-conf --download-current-version --compression xz --verbose
 
 get-info:
 	@echo "DEB_PYTHON_VERSION:         >$(DEB_PYTHON_VERSION)<"

## sagetex 3.3+ds

=== debian/changelog ===
sagetex (3.3+ds-5) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Conflicts/Replaces python-sagetex (Closes: #940274)

  [ Jerome Benoit ]
  * Debianization:
    - debian/control:
      - Rules-Requires-Root field, introduce and set to no.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 26 Sep 2019 17:13:07 +0000

sagetex (3.3+ds-4) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Depends fields, sagemath, bump to 8.9~beta9 (aka Python 3 version);
    - debian/patches/*:
      - d/p/upstream-python3-example_tex.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 Sep 2019 09:03:04 +0000

sagetex (3.3+ds-3) experimental; urgency=medium

  * Debianization: migration to Python 3 (Closes: #938429).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 13 Sep 2019 05:15:08 +0000

sagetex (3.3+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - debhelper, bump to 12;
      - Standards Version, bump to 4.4.0 (no change);
    - debian/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 06 Sep 2019 18:30:57 +0000

sagetex (3.3+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/sagetex-doc.links, add example.tex ;
    - debian/sagetex-doc.docs, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 21 Jun 2019 09:07:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 12),
- dh-python, python,
- python-tk,
+ debhelper-compat (= 12),
+ dh-python, python3,
+ python3-tk,
  tex-common,
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
- sagemath, python-pyparsing
-Standards-Version: 4.3.0
+ sagemath (>= 8.9~beta9), python3-pyparsing
+Standards-Version: 4.4.0
 Homepage: https://github.com/dandrake/sagetex
 Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
 Vcs-Browser: https://salsa.debian.org/tex-team/sagetex
@@ -22,7 +23,7 @@
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-pictures, texlive-font-utils,
  imagemagick,
- python-sagetex (= ${source:Version}),
+ python3-sagetex (= ${source:Version}),
  ${misc:Depends}
 Suggests: sagetex-doc (= ${source:Version})
 Description: Embed Sage code and plots into LaTeX
@@ -32,18 +33,20 @@
  .
  This package provides the LaTeX package.
 
-Package: python-sagetex
+Package: python3-sagetex
 Section: python
 Architecture: all
-Depends: sagemath, python-tk, ${python:Depends}, ${misc:Depends}
+Depends: sagemath (>= 8.9~beta9), python3-tk, ${python3:Depends}, ${misc:Depends}
+Replaces: python-sagetex
+Conflicts: python-sagetex
 Recommends: sagetex (= ${source:Version})
 Suggests: sagetex-doc (= ${source:Version})
-Description: Embed Sage code and plots into LaTeX -- Python
+Description: Embed Sage code and plots into LaTeX -- Python 3
  The SageTeX LaTeX package allows you to embed code, results of computations,
  and plots from the SageMath mathematics software suite into LaTeX documents.
  SageMath is an open-source Computer Algebra System (CAS).
  .
- This package provides the Python material that interact with SageMath.
+ This package provides the Python 3 material that interact with SageMath.
 
 Package: sagetex-doc
 Section: doc

## sagetex 3.4+ds

=== debian/changelog ===
sagetex (3.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.1 (no change);
    - debian/patches/*:
      - d/p/upstream-python3-example_tex.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Nov 2019 07:38:45 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
  sagemath (>= 8.9~beta9), python3-pyparsing
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/dandrake/sagetex
 Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
 Vcs-Browser: https://salsa.debian.org/tex-team/sagetex

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ## -- see pdftex(1) for details.
 export FORCE_SOURCE_DATE=1
 
-DEB_PYTHON_VERSION ?= $(shell python2 -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")
+DEB_PYTHON_VERSION ?= $(shell python3 -c "import sys; print( '%d.%d' %(sys.version_info[0],sys.version_info[1]) )")
 
 UPS_DOCSTRIP_INS ?= sagetex.ins
 DEB_DTX_DOCSTRIP_CFG_IN ?= debian/docstrip.cfg.in
@@ -25,7 +25,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with tex --with python2
+	dh $@ --with tex --with python3
 
 override_dh_auto_build:
 	$(MKDIR_P) $(dir $(DEB_DTX_DOCSTRIP_CFG))

## sagetex 3.5+ds

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	yes | latex $(TEXOPTS) $(pkg).ins
 
 clean: auxclean
-	rm -fr sage-plots-for-* E2.sobj *.pyc sagetex.tar.gz sagetex.py sagetex.pyc sagetex.sty makestatic.py sagetexparse.py extractsagecode.py dist MANIFEST remote-sagetex.py auto *_doctest.sage *_doctest.sage.py example-*.table run-sagetex-if-necessary.py
+	rm -fr sage-plots-for-* E2.sobj *.pyc sagetex.tar.gz sagetex.py sagetex.pyc sagetex.sty makestatic.py sagetexparse.py extractsagecode.py dist MANIFEST remote-sagetex.py auto *_doctest.sage *_doctest.sage.py example-*.table run-sagetex-if-necessary.py __pycache__
 
 auxclean:
 	/bin/bash -c "rm -f {$(pkg),example}.{glo,gls,aux,out,toc,dvi,pdf,ps,log,ilg,ind,idx,fdb_latexmk,sagetex.*}"

=== debian/changelog ===
sagetex (3.5+ds-2) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - Architecture field, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 26 Nov 2020 12:53:22 +0000

sagetex (3.5+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 25 Nov 2020 14:02:44 +0000

sagetex (3.4+ds-3) unstable; urgency=low

  [ Jerome Benoit ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Bump debhelper to 13, no changes needed.
  * Update d/*.lintian-overrides.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 24 Nov 2020 11:14:16 +0000

sagetex (3.4+ds-2) unstable; urgency=medium

  * FTBFS fix, temporarily discard tkz-berge support (Closes: #960143);
    thanks to Hilmar Preuße <hille42@web.de> for isolating the issue.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 May 2020 06:52:53 +0000

=== debian/tests/control ===
Tests: compose-examples
Architecture: !ppc64el !s390x
Depends: sagetex, sagetex-doc
Restrictions: allow-stderr

## sagetex 3.6%2Bds

=== debian/changelog ===
sagetex (3.6+ds-2) unstable; urgency=medium

  * FTBFS release fix, provide HOME (to please sbuild).
  * Debianization:
    - d/rules, furnish HOME (see above);
    - d/clean, refresh (see above).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 Feb 2022 13:05:51 +0000

sagetex (3.6+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyryght year tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
    - d/patches/*:
      - d/p/debianization.patch, refresh;
    - d/adhoc/examples/Makefile:
      - copyryght year tuple, update;
      - Debian Tean name, fix.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Feb 2022 20:20:37 +0000

## sagetex 3.6+ds

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 dtxs=$(wildcard *.dtx)
 # the subdir stuff makes the tarball have the directory correct
 srcs=example.tex README sagetex.ins
+pyscripts=sagetex-run sagetex-extract sagetex-makestatic sagetex-remote
 
 .SUFFIXES:
 
-all: sagetex.sty sagetex.py example.pdf $(pkg).pdf
+all: sagetex.sty sagetex.py $(pyscripts) $(pkg).pdf example.pdf
 
 # just depend on the .ind file, since we'll make the .gls and .ind together;
 # TEXOPTS is used by spkg-install to specify nonstopmode when building docs
@@ -35,14 +36,18 @@
 sagetex.py: py-and-sty.dtx $(pkg).dtx
 	yes | latex $(TEXOPTS) $(pkg).ins
 
-remote-sagetex.py: remote-sagetex.dtx
+sagetex-remote.py: remote-sagetex.dtx
 	yes | latex $(TEXOPTS) $(pkg).ins
 
-run-sagetex-if-necessary.py makestatic.py extractsagecode.py sagetexparse.py: scripts.dtx
+sagetex-run.py sagetex-extract.py sagetex-makestatic.py sagetexparse.py: scripts.dtx
 	yes | latex $(TEXOPTS) $(pkg).ins
 
+%: %.py
+	cp -f $< $@
+	chmod +x $@
+
 clean: auxclean
-	rm -fr sage-plots-for-* E2.sobj *.pyc sagetex.tar.gz sagetex.py sagetex.pyc sagetex.sty makestatic.py sagetexparse.py extractsagecode.py dist MANIFEST remote-sagetex.py auto *_doctest.sage *_doctest.sage.py example-*.table run-sagetex-if-necessary.py __pycache__
+	rm -fr sage-plots-for-* E2.sobj *.pyc sagetex.tar.gz sagetex.py sagetexparse.py $(pyscripts) $(addsuffix .py,$(pyscripts)) sagetex.sty dist MANIFEST remote-sagetex.py auto *_doctest.sage *_doctest.sage.py example-*.table __pycache__
 
 auxclean:
 	/bin/bash -c "rm -f {$(pkg),example}.{glo,gls,aux,out,toc,dvi,pdf,ps,log,ilg,ind,idx,fdb_latexmk,sagetex.*}"
@@ -54,5 +59,5 @@
 	./test
 
 # make a source distribution, used for building the spkg
-dist: sagetex.sty
+dist: sagetex.sty $(pypkg) $(pyscripts)
 	python setup.py sdist --formats=gztar

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python, python3,
  python3-tk,
  tex-common,
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
- sagemath (>= 8.9~beta9), python3-pyparsing
-Standards-Version: 4.4.1
+ sagemath (>= 9.4), python3-pyparsing
+Standards-Version: 4.6.0
 Homepage: https://github.com/dandrake/sagetex
 Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
 Vcs-Browser: https://salsa.debian.org/tex-team/sagetex

## sagetex 3.6.1+ds

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 %.ind: $(dtxs)
 	latex $(TEXOPTS) $(pkg).dtx
-	sed -e 's/usage|hyperpage/usagehyperpage/g' -i sagetex.idx
+	sed -e 's/usage|hyperpage/usagehyperpage/g' -i.bak sagetex.idx
 	makeindex -s gglo.ist -o $(pkg).gls $(pkg).glo
 	makeindex -s gind.ist -o $(pkg).ind $(pkg).idx
 
@@ -59,5 +59,5 @@
 	./test
 
 # make a source distribution, used for building the spkg
-dist: sagetex.sty $(pypkg) $(pyscripts)
+dist: sagetex.sty $(pypkg) $(pyscripts) $(pkg).pdf example.pdf
 	python setup.py sdist --formats=gztar

=== debian/changelog ===
sagetex (3.6.1+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-Makefile-auxclean.patch, introduce;
    - d/clean:
      - add `sagetex.hd` (fix by introduced patch);
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/s/lintian-overrides, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Sep 2022 21:45:36 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
  sagemath (>= 9.4), python3-pyparsing
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/dandrake/sagetex
 Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
 Vcs-Browser: https://salsa.debian.org/tex-team/sagetex

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
+## sage throught sage-env needs an existing HOME repository.
+export HOME=$(CURDIR)/_home
 ## the time-related TeX primitives are used in example.tex
 ## which served as test and whose PDF output is distributed
 ## -- see pdftex(1) for details.
@@ -28,6 +30,7 @@
 	dh $@ --with tex --with python3
 
 override_dh_auto_build:
+	$(MKDIR_P) $(HOME)
 	$(MKDIR_P) $(dir $(DEB_DTX_DOCSTRIP_CFG))
 	$(MKDIR_P) $(DEB_TDS_BASEDIRECTORY)
 	$(MKDIR_P) $(DEB_DTX_LISTOF_DECLAREDIR)
@@ -51,6 +54,7 @@
 DEB_DH_AUTO_TEST_MAKEFLAGS += MAXIMA_USERDIR=$(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MKDIR_P) $(HOME)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MPLCONFIGDIR)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_DOT_SAGE)

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sagetex-$1\.tar\.gz/ \
https://github.com/dandrake/sagetex/tags .*/v?(\d\S*)\.tar\.gz
